package com.liquidnet.client.admin.zhengzai.smile.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import com.liquidnet.client.admin.common.core.domain.AjaxResult;
import com.liquidnet.client.admin.zhengzai.smile.dto.*;
import com.liquidnet.service.smile.entity.SmileUser;
import com.liquidnet.service.smile.entity.dao.SmileUserCheckDao;

import java.util.List;

public interface ISmileUserService extends IService<SmileUser> {

    List<SmileUser> userList(SmileUserParam smileUserParam);

    SmileUserVo getUserById(String id);

    List<SmileUserVoOrg> getUserListByOrgId(Long orgId, Long agentId);

    AjaxResult updateUserStateById(String uid, Integer state,String reason);

    PageInfo<SmileUserCheckDao> listUserCheck(UserCheckParam userCheckParam);

    AjaxResult updateUserCheckById(SmileUserCheckVo smileUserCheck);

    List<SmileUser> listByState(SmileUserStateParam smileUserStateParam);

    AjaxResult saveInvitedAgent(SmileUserInvitedVo smileUserInvitedVo);

}
